Users who are viewing this thread

Version number
1.5.5.253065
Branch
Main
Modded/unmodded
No, I didn't use any mods.

frost13

Recruit
I purchased bannerlord on dec30 and funny part is that it stopped working the next morning. Epic games forced an update and after that update the game keeps giving this error and if I tried to use Bannerlord.Native i get unable to initialize steam API
Tried to contact EPIC games, verified the game 8 times so far and re-installed it 5 times, deleted multiple cache files for epic games and contacted TaleWorlds. All result in nothing and lastly TaleWorlds suggested I open a thread here and when I googled the issue, it shows many other players have the same issue.
Is it going to be fixed or shall I wait another year so that I can play it.
If the new version isn't stable then why bother forcing it, the least you can do is allow people to downgrade to a more stable version and only allow those who wish to try the new beta version to try it NOT FORCE IT.
If anyone found any solution please let me know, and no verifying/reinstalling/deleting cache files does not work
 

bFaceIII

Community Support
M&BWBWF&SNWVC
Hi! Sorry to hear that! Can you please check the games intallation folder? If there is a file named steam.target please delete it and validate the game files again.
 

frost13

Recruit
i got only four .dll files:
TaleWorlds.PlatformService.Steam
TaleWorlds.Diamond.AccessProvider.Steam
Steamworks.NET
steam_api64
so shall i delete them all or which?


P.S. good choice for Carmilla profile pic
 

frost13

Recruit
Hi! Sorry to hear that! Can you please check the games intallation folder? If there is a file named steam.target please delete it and validate the game files again.
also I tried deleting all of them and verifying but no hope
 

Gerald_B

Recruit
Hi there,
Could you make sure your game version is 1.5.5.253065? If your version is correct, inside game folders, check under Modules/Native/. There should only be one .target with the name epic.target. If there are more than that like steam.target or gog.target deleting them so that only epic.target remains should fix the problem.
 

frost13

Recruit
Are you still experiencing this issue? P.S.: Thanks!(:
still until now even after updating to 1.5.7 stupid epic launcher refuses to start it and i have never even played multiplayer since i purchased it
what is the point of buying the game if i cant play, can i transfer my game to steam at least?
i already confirm the files over countless times, every time i reach out to stupid epic games they say i have to verify the game. it never works
just 3 hours of redownloading for nothing
 

uçanbiblo

Community Support
Community Support
M&BWBWF&SNWVC
Hey, we are marking this thread as resolved. Please let us know if the issue is persistent.
 
Top Bottom